Skip to main content
GET
/
assessment-items
Search and filter assessment items
curl --request GET \
  --url https://qti.alpha-1edtech.ai/api/assessment-items \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "identifier": "<string>",
      "title": "<string>",
      "qtiVersion": "3.0",
      "timeDependent": false,
      "adaptive": false,
      "rawXml": "<string>",
      "content": {
        "qti-assessment-item": {
          "_attributes": {
            "xmlns": "<string>",
            "xmlns:xsi": "<string>",
            "xsi:schemaLocation": "<string>",
            "identifier": "<string>",
            "title": "<string>",
            "adaptive": "<string>",
            "time-dependent": "<string>"
          },
          "qti-response-declaration": [
            {
              "_attributes": {
                "identifier": "<string>",
                "cardinality": "<string>",
                "baseType": "<string>"
              },
              "qti-correct-response": {
                "qti-value": [
                  "<string>"
                ]
              }
            }
          ],
          "qti-outcome-declaration": [
            {
              "_attributes": {
                "identifier": "<string>",
                "cardinality": "<string>",
                "baseType": "<string>"
              }
            }
          ],
          "qti-assessment-stimulus-ref": [
            {
              "_attributes": {
                "identifier": "<string>",
                "href": "<string>",
                "title": "<string>"
              }
            }
          ],
          "qti-item-body": "<unknown>",
          "qti-response-processing": "<unknown>"
        }
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "customInteractionTypeIdentifier": "<string>",
      "responseDeclarations": [
        {
          "identifier": "<string>",
          "correctResponse": {
            "value": [
              "<string>"
            ]
          }
        }
      ],
      "outcomeDeclarations": [
        {
          "identifier": "<string>"
        }
      ],
      "responseProcessing": {
        "responseDeclarationIdentifier": "<string>",
        "outcomeIdentifier": "<string>",
        "correctResponseIdentifier": "<string>",
        "incorrectResponseIdentifier": "<string>",
        "inlineFeedback": {
          "outcomeIdentifier": "<string>",
          "variableIdentifier": "<string>"
        }
      },
      "metadata": {
        "subject": "Math",
        "grade": "10",
        "difficulty": "easy",
        "learningObjectiveSet": [
          {
            "source": "CASE",
            "learningObjectiveIds": [
              "id-123",
              "id-456",
              "id-789"
            ]
          }
        ]
      },
      "modalFeedback": [
        {
          "outcomeIdentifier": "<string>",
          "identifier": "<string>",
          "content": "<string>",
          "title": "<string>"
        }
      ],
      "feedbackInline": [
        {
          "outcomeIdentifier": "<string>",
          "identifier": "<string>",
          "content": "<string>",
          "class": [
            "<string>"
          ]
        }
      ],
      "feedbackBlock": [
        {
          "outcomeIdentifier": "<string>",
          "identifier": "<string>",
          "content": "<string>",
          "class": [
            "<string>"
          ]
        }
      ],
      "__v": 123
    }
  ],
  "total": 123,
  "page": 1,
  "pages": 123,
  "limit": 10,
  "sort": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.timeback.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

query
string

Search title and identifier fields using a search term. This is a fuzzy search.

page
string
default:1

Page number for pagination

Example:

1

limit
string
default:10

Number of items per page

Example:

10

sort
enum<string>
default:createdAt

Field to sort by

Available options:
title,
identifier,
type,
createdAt,
updatedAt
Example:

"createdAt"

order
enum<string>
default:desc

Sort order

Available options:
asc,
desc
Example:

"desc"

filter
string

Advanced filter expression using =, !=, >, >=, <, <=, ~ and logical AND/OR. Example: type='choice'

Example:

"type='choice'"

subject
string

Filter by subject from qti-parent-tests array (indexed for fast lookup)

Example:

"Math"

grade
string

Filter by grade from qti-parent-tests array (indexed for fast lookup)

Example:

"5"

type
string

Filter by question type - native field with simple index

Example:

"choice"

Full-text search on qti-prompt-text field (uses text index)

Example:

"pythagorean"

Response

List of assessment items with pagination metadata

Paginated response containing all assessment items available on the service provider with navigation metadata

items
object[]
required

Array of assessment items that match the search criteria

total
number
required

The total number of entities that match the search criteria.

page
number
default:1
required

The page number of the entities that match the search criteria.

pages
number
required

The total number of pages of entities that match the search criteria.

limit
number
default:10
required

The number of entities per page.

sort
string
required

The field to sort the entities by.

order
enum<string>
required

The order to sort the entities by. Either 'asc' or 'desc'.

Available options:
asc,
desc